# FFmpegKit Linux API: fftools_ffmpeg_mux.c File Reference

fftools_ffmpeg_mux.c File Reference

Go to the source code of this file.

## Functions

static void | close_all_output_streams (OutputStream *ost, OSTFinished this_stream, OSTFinished others)
void | of_write_packet (OutputFile *of, AVPacket *pkt, OutputStream *ost, int unqueue)
static int | print_sdp (void)
int | of_check_init (OutputFile *of)
int | of_write_trailer (OutputFile *of)
void | of_close (OutputFile **pof)

## Function Documentation

## close_all_output_streams()

static void close_all_output_streams | ( | OutputStream * | ost,
|  | OSTFinished | this_stream,
|  | OSTFinished | others
| ) |  |

static

Definition at line 49 of file fftools_ffmpeg_mux.c.

## of_check_init()

int of_check_init | ( | OutputFile * | of | ) |

Definition at line 244 of file fftools_ffmpeg_mux.c.

## of_close()

void of_close | ( | OutputFile ** | pof | ) |

Definition at line 316 of file fftools_ffmpeg_mux.c.

## of_write_packet()

void of_write_packet | ( | OutputFile * | of,
|  | AVPacket * | pkt,
|  | OutputStream * | ost,
|  | int | unqueue
| ) |  |

Definition at line 58 of file fftools_ffmpeg_mux.c.

## of_write_trailer()

int of_write_trailer | ( | OutputFile * | of | ) |

Definition at line 295 of file fftools_ffmpeg_mux.c.

## print_sdp()

static int print_sdp | ( | void |  | ) |

static

Definition at line 190 of file fftools_ffmpeg_mux.c.